import { world, system } from "@minecraft/server";
export default function growTreeRedwood(location, fruit, playerplaced, dimension) {
  const overworld = world.getDimension("overworld");
  const rotations = ["0_degrees", "180_degrees", "270_degrees", "90_degrees"];
  const offsets = [0, 0, 1, 2];
  var treernd, randomIndex, fruitParts, fruitName;
  try {
    if (location != undefined) {
      dimension.runCommand(`setblock ${location.x} ${location.y} ${location.z} air replace`);
      randomIndex = Math.floor(Math.random() * 4.0);
      if (playerplaced) {
        treernd = Math.floor(Math.random() * 4.0);
      } else {
        treernd = Math.floor(Math.random() * 4.0);
      }
      fruitParts = fruit.split(":");
      fruitName = fruitParts.length > 1 ? fruitParts[1].split("_")[0] : fruitParts[0];
      if (treernd == 0) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_11x11_1" ${location.x - 5} ${location.y - 1} ${location.z - 5} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else if (treernd == 1) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_11x11_2" ${location.x - 5} ${location.y - 1} ${location.z - 5} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else if (treernd == 2) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_23x23_3" ${location.x - 11} ${location.y - 1} ${
            location.z - 11
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      } else {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_27x27_4" ${location.x - 13} ${location.y - 1} ${
            location.z - 13
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      }
    }
  } catch (e) {}
  treernd = randomIndex = fruitParts = fruitName = undefined;
  return null;
}
